Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS > Class Template Reference

Defines a reverse iterator implementation for the Hash_Map_Manager_Adapter. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >:

[legend]
Collaboration diagram for ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Hash_Map_Manager_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex >::reverse_iterator | implementation
## Public Methods
| ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter (const ACE_Hash_Map_Reverse_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > &impl)
| Constructor.
virtual | ~ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter (void)
| Destructor.
virtual ACE_Reverse_Iterator_Impl< T > * | clone (void) const
| Clone.
virtual int | compare (const ACE_Reverse_Iterator_Impl< T > &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
ACE_Hash_Map_Reverse_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & | impl (void)
| Accessor to implementation object.
## Protected Attributes
ACE_Hash_Map_Reverse_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
class ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >

Defines a reverse iterator implementation for the Hash_Map_Manager_Adapter.

Implementation to be provided by ACE_Hash_Map_Manager_Ex::reverse_iterator.

## Member Typedef Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
typedef ACE_TYPENAME ACE_Hash_Map_Manager_Ex<KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex>::reverse_iterator ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::implementation

## Constructor & Destructor Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter | ( | const ACE_Hash_Map_Reverse_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & | impl | ) |

| Constructor.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::~ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Reverse_Iterator_Impl< T > * ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE int ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::compare | ( | const ACE_Reverse_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE T ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE ACE_Hash_Map_Reverse_Iterator_Ex< KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex > & ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE void ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_INLINE void ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Implements ACE_Reverse_Iterator_Impl< T >.

## Member Data Documentation

template<class T, class KEY, class VALUE, class HASH_KEY, class COMPARE_KEYS>
ACE_Hash_Map_Reverse_Iterator_Ex<KEY, VALUE, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex> ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.i